> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Personalized Trends

> El endpoint Personalized Trends de X API v2 devuelve temas en tendencia adaptados al usuario autenticado según su ubicación, intereses y actividad de la cuenta.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

El endpoint Personalized Trends devuelve temas en tendencia adaptados al usuario autenticado, según su ubicación e intereses.

## Descripción general

<CardGroup cols={2}>
  <Card title="Personalizado" icon="https://mintcdn.com/x-preview/SxzTbJaLjs3MidH1/icons/xds/icon-person.svg?fit=max&auto=format&n=SxzTbJaLjs3MidH1&q=85&s=507a4bbcdcf5744bd18781508002e305" width="24" height="24" data-path="icons/xds/icon-person.svg">
    Trends adaptados al usuario
  </Card>

  <Card title="Sensible a la ubicación" icon="location-dot">
    Basado en la ubicación del usuario
  </Card>

  <Card title="En tiempo real" icon="bolt">
    Temas en tendencia actuales
  </Card>
</CardGroup>

***

## Endpoint

| Método | Endpoint                       | Descripción                 |
| :----- | :----------------------------- | :-------------------------- |
| GET    | `/2/users/personalized_trends` | Obtener personalized trends |

***

## Solicitud de ejemplo

```bash theme={null}
curl "https://api.x.com/2/users/personalized_trends" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

## Respuesta de ejemplo

```json title="Respuesta de ejemplo" lines wrap icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-brackets.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=ed2428e77bab43e57800e1a590e982fa" theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 125000
    },
    {
      "trend_name": "Machine Learning",
      "tweet_count": 85000
    }
  ]
}
```

***

## Primeros pasos

<Note>
  **Requisitos previos**

  * Una [cuenta de desarrollador](https://developer.x.com/en/portal/petition/essential/basic-info) aprobada
  * Un [Project y App](/resources/fundamentals/developer-apps) en el Developer Console
  * User Access Tokens vía [OAuth 2.0 PKCE](/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)
  * Suscripción Premium de usuario
</Note>

<CardGroup cols={2}>
  <Card title="Trends por WOEID" icon="globe" href="/x-api/trends/trends-by-woeid/introduction">
    Obtén trends para una ubicación específica
  </Card>

  <Card title="Referencia de la API" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/trends/personalized-trends" width="24" height="24" data-path="icons/xds/icon-code.svg">
    Documentación completa del endpoint
  </Card>
</CardGroup>
